/* 
 Global styles for FoundationPress
 Demo: http://foundationpress.olefredrik.com
*/

// Prettify type rendering
body {
	-webkit-font-smoothing: antialiased;
	text-rendering: optimizeLegibility;
}

// Reset margin and padding on figure element
figure { 
	margin: 0; 
	padding: 0;
}

// Add some basic styling for figcaption element
figcaption {
	margin-bottom: rem-calc(20);
	margin-top: rem-calc(10); 
	color: #6f6f6f; 
}

// Add the alignment classes used by the WordPress media library

.alignleft {
	float: left;
}

.alignright {
	float: right;
}

.aligncenter {
	display: block;
	margin-left: auto;
	margin-right: auto;
}

blockquote.alignleft,
img.alignleft {
	margin: rem-calc(7) rem-calc(24) rem-calc(7) 0;
}

.wp-caption.alignleft {
	margin: rem-calc(7) rem-calc(14) rem-calc(7) 0;
}

blockquote.alignright,
img.alignright {
	margin: rem-calc(7) 0 rem-calc(7) rem-calc(24);
}